/* DoOC - Compile an Oberon Module */

/* trace all */
options results

if ~show('L','rexxsupport.library') then
   call addlib('rexxsupport.library',0,-30)
if ~show('L','RexxDosSupport.library') then
   call addlib('RexxDosSupport.library',0,-30)

parse arg filename screenname

/* Construct the command line arguments. */

oc_args = GetVar("OC_ARGS")

ns = GetVar("OC_NEWSYMFILE")
if ns = "YES" then
  oc_args = oc_args "NS"

debug = GetVar("OC_DEBUG")
if debug = "YES" then
  oc_args = oc_args "DEBUG"

/* set up the console and stack */

call close 'STDERR'
call open 'STDERR','NIL:','W'
call close 'STDIN'
call close 'STDOUT'
/* specify your own window here... */
call open 'STDOUT','CON:10/25/540/165/Compiling.../SCREEN'||screenname,'RW'
call pragma '*','STDOUT'
call pragma 'Stack', 10000

/* call the compiler */

address command 'OBERON-A:C/OC >* <*' oc_args filename

/* Check the return code here and call the error reporter if necessary */

if rc ~= 0 then
  call ReadErr.aed


