(**************************************************************************

     $RCSfile: Keyboard.mod $
  Description: Interface to keyboard.device

   Created by: fjc (Frank Copeland)
    $Revision: 3.8 $
      $Author: fjc $
        $Date: 1995/06/04 23:13:14 $

  $VER: keyboard.h 36.0 (1.5.90)
  Includes Release 40.15

  (C) Copyright 1985-1993 Commodore-Amiga, Inc.
      All Rights Reserved

  Oberon-A interface Copyright  1994-1995, Frank Copeland.
  This file is part of the Oberon-A Interface.
  See Oberon-A.doc for conditions of use and distribution.

***************************************************************************)

<* STANDARD- *>

MODULE [2] Keyboard;

IMPORT e := Exec;


(*
**
**      Keyboard device command definitions
*)

CONST

  readEvent        * = e.nonstd+0;
  readMatrix       * = e.nonstd+1;
  addResetHandler  * = e.nonstd+2;
  remResetHandler  * = e.nonstd+3;
  resetHandlerDone * = e.nonstd+4;


CONST

  keyboardName * = "keyboard.device";

END Keyboard.
