(***************************************************************************

     $RCSfile: Util.mod $
  Description: Utility procedures

   Created by: fjc (Frank Copeland)
    $Revision: 1.8 $
      $Author: fjc $
        $Date: 1995/06/04 23:22:41 $

  Copyright  1994-1995, Frank Copeland.
  This file is part of the Oberon-A Library.
  See Oberon-A.doc for conditions of use and distribution.

***************************************************************************)

MODULE Util;

PROCEDURE MaxShortint * (a, b : SHORTINT) : SHORTINT;

BEGIN
  IF a > b THEN RETURN a END; RETURN b
END MaxShortint;

PROCEDURE MinShortint * (a, b : SHORTINT) : SHORTINT;

BEGIN
  IF a < b THEN RETURN a END; RETURN b
END MinShortint;

PROCEDURE MaxInt * (a, b : INTEGER) : INTEGER;

BEGIN
  IF a > b THEN RETURN a END; RETURN b
END MaxInt;

PROCEDURE MinInt * (a, b : INTEGER) : INTEGER;

BEGIN
  IF a < b THEN RETURN a END; RETURN b
END MinInt;

PROCEDURE MaxLongint * (a, b : LONGINT) : LONGINT;

BEGIN
  IF a > b THEN RETURN a END; RETURN b
END MaxLongint;

PROCEDURE MinLongint * (a, b : LONGINT) : LONGINT;

BEGIN
  IF a < b THEN RETURN a END; RETURN b
END MinLongint;

PROCEDURE PowerOfTwo * (power : SHORTINT) : LONGINT;

VAR
  result : LONGINT;

BEGIN
  result := 1;
  WHILE power > 0 DO
    result := result * 2;
    DEC(power);
  END;
  RETURN result;
END PowerOfTwo;

END Util.
