(**************************************************************************

     $RCSfile: Potgo.mod $
  Description: Interface to potgo.resource

   Created by: fjc (Frank Copeland)
    $Revision: 3.8 $
      $Author: fjc $
        $Date: 1995/06/04 23:13:14 $

  $VER: potgo.h 36.0 (13.4.90)
  $VER: potgo_protos.h 36.3 (7.11.90)
  Includes Release 40.15

  (C) Copyright 1985-1993 Commodore-Amiga, Inc.
      All Rights Reserved

  Oberon-A interface Copyright  1994-1995, Frank Copeland.
  This file is part of the Oberon-A Interface.
  See Oberon-A.doc for conditions of use and distribution.

***************************************************************************)

<* STANDARD- *>

MODULE [2] Potgo;

IMPORT e := Exec, s := Sets;


CONST

  potgoName * = "potgo.resource";


(*-- Resource Base variable --------------------------------------------*)

VAR

  base * : e.APTR;


(*-- Resource Functions ------------------------------------------------*)


PROCEDURE AllocPotBits* [base,-6]
  ( bits [0] : s.SET16 ) : s.SET16;
PROCEDURE FreePotBits* [base,-12]
  ( bits [0] : s.SET16 );
PROCEDURE WritePotgo* [base,-18]
  ( word [0] : s.SET16;
    mask [1] : s.SET16 );

BEGIN base := NIL
END Potgo.


